
%global meadversion 1.6.15
%global namedversion 1.6.15.redhat-1
%global meadalpha .redhat_1
%global meadrel .1
%global serial 2
%global namedversionrel redhat-1

%bcond_with javadoc
%bcond_without mead

%define maven_version 1.6.15.redhat-1

Name:           wss4j
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Implementation of the OASIS Web Services Security
Group:          Development/Java

%if %with mead
Source100: wss4j-1.6.15.redhat-1-scm-sources.zip
Source102: wss4j-1.6.15.redhat-1.pom
Source103: wss4j-1.6.15.redhat-1.jar
Source104: wss4j-1.6.15.redhat-1-javadoc.jar
Source105: wss4j-1.6.15.redhat-1-sources.jar
%endif

License:        ASL 2.0
URL:            http://ws.apache.org/wss4j/
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
#Requires:       xml-security
#Requires:       jakarta-commons-logging
#Optional:       opensaml
#Requires:       xalan-j2-eap6
#Requires:       xerces-j2-eap6
# xml-commons-jaxp-1.3-apis is provided by the JDK
#Requires:       xml-commons-jaxp-1.3-apis
BuildRoot:      %{_tmppath}/wss4j-%{version}-%{release}-root
BuildArch:      noarch

%description 
Apache WSS4J is an implementation of the OASIS Web Services Security
(WS-Security) from OASIS Web Services Security TC. WSS4J is a
primarily a Java library that can be used to sign and verify SOAP
Messages with WS-Security information. WSS4J will use Apache Axis and
Apache XML-Security projects and will be interoperable with JAX-RPC
based server/clients and .NET server/clients.

Note: To use with axis, bouncycastle, and opensaml, please add the jar to
the Classpath.

%if %with javadoc
%package javadoc
Summary:        Javadoc for Apache WSS4J
Group:          Development/Documentation

Requires:       jpackage-utils
BuildRequires:  jpackage-utils

%description javadoc
Javadoc for Apache WSS4J.
%endif

%if %with repolib
%package repolib
Summary:        Artifacts to be uploaded to a repository library
Group:          Development/Libraries/Java


%description repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio.
%endif

%prep
%setup -q -n wss4j -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/wss4j-%{namedversion}.jar %{buildroot}%{_javadir}/wss4j-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/wss4j-%{namedversion}-sources.jar %{buildroot}%{_javadir}/wss4j-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

# poms
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%{__cp} -p %{_sourcedir}/wss4j-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-wss4j.pom

# depmaps
%add_to_maven_depmap org.apache.ws.security wss4j %{namedversion} JPP wss4j
[ -f %{buildroot}%{_mavendepmapfragdir}/wss4j ] || %{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/wss4j

# javadoc
%if %with javadoc
%{__mkdir_p} %{buildroot}/%{_javadocdir}/wss4j-%{namedversion}
%{__unzip} -qq %{_sourcedir}/wss4j-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/wss4j-%{namedversion} -x META-INF/\*
%{__ln_s} wss4j-%{namedversion} %{buildroot}/%{_javadocdir}/wss4j
%endif

%clean
%{__rm} -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%doc ChangeLog.txt LICENSE.txt NOTICE README.txt
%{_javadir}/wss4j-%{namedversion}-sources.jar
%{_javadir}/wss4j-sources.jar
%{_javadir}/wss4j-%{namedversion}.jar
%{_javadir}/wss4j.jar
%{_mavenpomdir}/JPP-wss4j.pom
%{_mavendepmapfragdir}/wss4j

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/wss4j-%{namedversion}
%{_javadocdir}/wss4j
%endif

%changelog
* Thu Aug 28 2014 Yong Yang <yyang@redhat.com> - 1.6.15-2.redhat_1.1
- Wrapper again with unnecessary Requires removed

* Wed Apr 23 2014 Yong Yang <yyang@redhat.com> - 1.6.14-3.redhat_2.1
- 1.6.15

* Thu Feb 20 2014 Lin Gao <lgao@redhat.com> - 1.6.14-2.redhat_1.1
- Rebuild to fix wrong date in changelog

* Thu Feb 20 2014 Lin Gao <lgao@redhat.com> - 1.6.14-1.redhat_1.1
- Upgrade to 1.6.14

* Wed Oct 23 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.6.12-1.redhat_1
- Upgrade to 1.6.12

* Thu Oct 17 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.6.11-2.redhat_2
- Rebuild for using internal source repo

* Tue Sep 03 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.6.11-1.redhat_1
- Upgrade to 1.6.11

* Fri Jul 12 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.6.10-1.redhat_1
- Upgrade to 1.6.10

* Thu Mar 28 2013 Yong Yang <yyang@redhat.com> - 0:1.6.9-2.redhat_2
- Upgrade wss4j to 1.6.9.jbossorg-1, fixes WSS-421, WSS-431

* Wed Feb 20 2013 Yong Yang <yyang@redhat.com> - 0:1.6.9-1.redhat_1
- 1.6.9

* Fri Sep 28 2012 Yong Yang <yyang@redhat.com> - 0:1.6.7-1.redhat_1
- Upgrade to 1.6.7

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.6.6-2.redhat_1
- Rebuild for MD5

* Mon Aug 27 2012 Hui Wang <huwang@redhat.com> - 0:1.6.6-1.redhat_1
- Upgrade to 1.6.6

* Thu Aug 09 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.6.5-7.redhat_2.2
- Rebuild unsigned

* Thu Jul 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.6.5-7.redhat_1.1
- Rebuild using cache signing

* Mon Jun 25 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.6.5-7.redhat_1
- Build in MEAD

* Tue Jun 12 2012 Fernando Nasser <fnasser@redhat.com> 0:1.6.5-6.redhat_1
- Make opensaml optional again (DO NOT RE-ADD PLEASE)

* Thu May 31 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.6.5-5.redhat_1
- Remove javadocs from main package

* Thu May 31 2012 Hui Wang <huwang@redhat.com> - 0:1.6.5-4.redhat_1
- Fix repolib

* Thu May 31 2012 Hui Wang <huwang@redhat.com> - 0:1.6.5-3.redhat_1
- Fix JBPAPP-9192, blank manifest in EAP build

* Mon Mar 26 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.6.5-2.redhat_1
- Remove depenecy on xml-commons-jaxp-1.3-apis 

* Mon Mar 26 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.6.5-1_redhat_1.1.1
- Rebuild using cache signing

* Mon Mar 26 2012 Hui Wang <huwang@redhat.com> 0:1.6.5-1_redhat_1.1
- Upgrade to 1.6.5

* Thu Mar 15 2012 Fernando Nasser <fnasser@redhat.com> 0:1.6.4-1_redhat_1.1
- Make opensaml optional

* Tue Feb 21 2012 Hui Wang <huwang@redhat.com> 0:1.6.4-1_redhat_1
- Upgrade to 1.6.4

* Fri Feb 03 2012 David Walluck <dwalluck@redhat.com> 0:1.6.3-3
- replace commons-logging by jcl-over-slf4j
- fix Requires
- add docs
- fix sources jar
- fix repolib file list
- reduce BuildRequires list
- use newer felix stack
- javadoc requires jpackage-utils

* Fri Oct 21 2011 Yong Yang <yyang@redhat.com> 0:1.6.3-2_redhat_1
- Build for Werewolf
- Build with maven only

* Fri Oct 21 2011 Yong Yang <yyang@redhat.com> 0:1.6.3-1
- Upgrade to 1.6.3

* Sat Oct 01 2011 Yong Yang <yyang@redhat.com> 0:1.6.1-2
- Remove binary repo

* Mon Sep 26 2011 Yong Yang <yyang@redhat.com> 0:1.6.1-1
- Upgrade to 1.6.1

* Wed Jun 8 2011 Yong Yang <yyang@redhat.com> 0:1.5.11-1
- Upgrade to 1.5.11

* Tue Jun 7 2011 Yong Yang <yyang@redhat.com> 0:1.5.10-3_patch_01.1
- Build for EAP6

* Mon Jun 6 2011 Yiqiao Wang <yiwang@redhat.com> 0:1.5.10-3_patch_01
- Patch pom.xml to have version 1.5.10_patch_01
- Modify spec file so that jars have -patch-01 in their versions

* Fri Jun 3 2011 Yiqiao Wang <yiwang@redhat.com> 0:1.5.10-1.patch_01.1
- Upgrade to 1.5.10
- Apply wss4j-security.patch (JBPAPP-6642)
- Modify wss4j-1.5.8-build.patch

* Wed Jan 12 2011 Yiqiao Wang <yiwang@redhat.com> 0:1.5.8-8
- Comment BR and R ws-fx-addressing

* Thu Dec 02 2010 Yiqiao Wang <yiwang@redhat.com> 0:1.5.8-7
- Rebuild to fix upload.sh

* Wed Dec 01 2010 Yiqiao Wang <yiwang@redhat.com> 0:1.5.8-6
- Build with Maven 2.2.1
- Add upload.sh to repolib
- Fix %%files for signed jars
- Add content of maven2-brew
- Add BR mavne-deploy-plugin and maven-shared-artifact-resolver

* Tue Jun 29 2010 Permaine Cheung <pcheung@redhat.com> 0:1.5.8-5
- Mark axis as Optional Requires

* Mon Jun 28 2010 Permaine Cheung <pcheung@redhat.com> 0:1.5.8-4
- Mark bouncycastle and opensaml as Optional Requires

* Mon Jun 07 2010 David Walluck <dwalluck@redhat.com> 0:1.5.8-3
- enable maven-remote-resources-plugin

* Mon Jun 07 2010 David Walluck <dwalluck@redhat.com> 0:1.5.8-2
- fix build

* Wed Jun 02 2010 Fernando Nasser fnasser@redhat.com> 0:1.5.8-1
- Upgrade to 1.5.8
- Upgrade build to maven2

* Wed Dec 09 2009 Martha Benitez <mbenitez@redhat.com> 0:1.5.7-2
- Add BR glassfish-jaf, glassfish-javamail
- Fix repolib location
- Uncomment project.patch, to use the current project version
- Add pom.xml to repolib
- Add fix for failing test copying crypto.properties to a proper location
- Add sources jar file to main package and repolib

* Thu Jul 30 2009 Martha Benitez <mbenitez@redhat.com> 0:1.5.7-1
- Upgrade to 1.5.7
- Comment 1.5.3 patches
- Change (B)R bouncycastle-provider to bouncycastle
- Add repolib

* Fri Jul 24 2009 Martha Benitez <mbenitez@redhat.com> 0:1.5.3-1.1
- Adjust release tag
- Change jpackage-utils >= 0:1.7.4 to jpackage-utils >= 0:1.7.3
- Comment out: java-1.5.0-sun-jce-policy, bouncycastle-provider
- Add build-classpath junit

* Fri Mar 28 2008 Ralph Apel <r.apel at r-apel.de> 0:1.5.3-1jpp
- 1.5.3
- Drop ws-commons-policy and ws-commons-neethi (B)Rs
- Build with maven1 by default

* Wed Oct 10 2007 Ralph Apel <r.apel at r-apel.de> 0:1.5.0-3jpp
- (B)R bouncycastle-provider instead of bouncycastle-jdk1.X
- (B)R ws-commons-neethi, as a way of avoiding usage of old neethi
  package to satisfy ws-commons-policy (B)R

* Wed Jul 11 2007 Ralph Apel <r.apel at r-apel.de> 0:1.5.0-2jpp
- Replace neethi (B)R by ws-commons-policy

* Wed May 24 2006 Deepak Bhole <dbhole@redhat.com> 0:1.5.0-1jpp
- Upgrade to 1.5.0

* Mon Jan 16 2006 Deepak Bhole <dbhole@redhat.com> 0:1.1.1-0.20060117.1jpp
- Upgrade to 1.1.1 snapshot

* Thu Oct 20 2005 Deepak Bhole <dbhole@redhat.com> 0:1.1.0-1jpp
- Initial build.
